Summary: Internationalized Domain Name support library
Name: libidn
Version: 1.8
Release: 1
URL: http://www.gnu.org/software/libidn
License: LGPLv2+
Source0: http://josefsson.org/%{name}/releases/%{name}-%{version}.tar.gz
Source1: http://josefsson.org/%{name}/releases/%{name}-%{version}.tar.gz.sig
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pkg-config, gettext
Requires: info, gettext
Requires: /sbin/install-info

%description
GNU Libidn is an implementation of the Stringprep, Punycode and
IDNA specifications defined by the IETF Internationalized Domain
Names (IDN) working group, used for internationalized domain
names.

The library is available as 32-bit and 64-bit.


%package devel
Summary: Development files for the libidn library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkg-config

%description devel
This package includes header files and libraries necessary for
developing programs which use the GNU libidn library.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "cc -q64" or "gcc -maix64".


%prep
%setup -q


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_prefix}/man \
    --infodir=%{_prefix}/info \
    --enable-shared --enable-static
make %{?_smp_mflags}

cp lib/.libs/libidn.so.11 .
mv -f doc/libidn.html .
make clean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_prefix}/man \
    --infodir=%{_prefix}/info \
    --enable-shared --enable-static
make %{?_smp_mflags}

mv -f libidn.html doc/


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q ${RPM_BUILD_ROOT}%{_libdir}/libidn.a ./libidn.so.11

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/%{name}.info
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)

cd examples
make clean
rm -rf .deps


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc ChangeLog NEWS FAQ README THANKS COPYING*
%{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/*.a
%{_infodir}/libidn*
%{_datadir}/locale/*
/usr/bin/*
/usr/lib/*.a


%files devel
%defattr(0644,root,system,755)
%doc doc/libidn.html examples
%{_includedir}/*.h
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*
/usr/include/*
/usr/lib/*.la


%changelog
* Wed May 07 2008 Michael Perzl <michael@perzl.org> - 1.8-1
- updated to version 1.8

* Tue Apr 15 2008 Michael Perzl <michael@perzl.org> - 1.7-1
- updated to version 1.7

* Thu Mar 20 2008 Michael Perzl <michael@perzl.org> - 1.6-1
- updated to version 1.6

* Fri Feb 22 2008 Michael Perzl <michael@perzl.org> - 1.5-1
- updated to version 1.5

* Mon Jan 28 2008 Michael Perzl <michael@perzl.org> - 1.4-1
- updated to version 1.4

* Fri Dec 28 2007 Michael Perzl <michael@perzl.org> - 1.3-1
- first version for AIX V5.1 and higher
